
%global meadversion 2.7.7
%global namedversion 2.7.7.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 35
%global namedversionrel redhat-7

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}antlr}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.7.7.redhat-7

Name:           %{?scl_prefix}antlr
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        AntLR Parser Generator
Group:          Development/Java

%if %with mead
Source100: antlr-2.7.7.redhat-7-scm-sources.zip
Source102: antlr-2.7.7.redhat-7.pom
Source103: antlr-2.7.7.redhat-7.jar
Source104: antlr-2.7.7.redhat-7-project-sources.tar.gz
Source105: antlr-2.7.7.redhat-7-sources.jar
Source106: antlr-2.7.7.redhat-7-javadoc.jar
%endif

License:        ANTLR-PD
URL:            http://www.antlr.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A framework for constructing recognizers, compilers, and translators from
grammatical descriptions containing Java, C#, C++, or Python actions.

%if %with javadoc
%package javadoc
Summary:        Javadoc for antlr
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n antlr2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/antlr-%{namedversion}.jar %{buildroot}%{_javadir}/antlr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/antlr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/antlr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/antlr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/antlr-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/antlr-%{namedversion}
unzip -qq %{_sourcedir}/antlr-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/antlr-%{namedversion} -x META-INF/\*
%{__ln_s} antlr-%{namedversion} %{buildroot}%{_javadocdir}/antlr
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}antlr
%defattr(0644,root,root,0755)
%doc CHANGES.txt INSTALL.txt LICENSE.txt README.txt
%{_javadir}/antlr-%{namedversion}.jar
%{_javadir}/antlr.jar
%if %with javadoc
%{_javadir}/antlr-%{namedversion}-javadoc.jar
%{_javadir}/antlr-javadoc.jar
%endif
%{_javadir}/antlr-%{namedversion}-sources.jar
%{_javadir}/antlr-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/antlr-%{namedversion}
%{_javadocdir}/antlr
%endif

%changelog
* Mon Nov 06 2017 Permaine Cheung <pcheung@redhat.com> - 2.7.7-35.redhat_7.1
- Fix License (JBEAP-13468)

* Tue Nov 10 2015 David Walluck <dwalluck@redhat.com> - 2.7.7-34.redhat_7.1
- build with updated parent POM

* Mon Nov 09 2015 David Walluck <dwalluck@redhat.com> - 2.7.7-33.redhat_6.1
- remove old parent POM

